> REMARK ***************************************************
> REMARK *  DEFINE A LABEL AT THE START OF THE COMMAND FILE
> REMARK ***************************************************
> LABEL START 

> REMARK ***************************************************
> REMARK *  SET THE DIRECTORY FOR THE LOCAL SCRATCH FILES
> REMARK ***************************************************
> CHDIR C:\SCRATCH 

> REMARK ***************************************************
> REMARK *  CHECK FOR A CONNECTION ALREADY ESTABLISHED
> REMARK *  IF THERE IS, WE DON'T NEED TO REDIAL THE NUMBER
> REMARK *   (UNLESS WE WANT TO BE SURE THAT WE'RE CONNECTED
> REMARK *   TO THE RIGHT HOST)
> REMARK *  USE A SHORT TIMEOUT SO WE DON'T WAIT TOO LONG
> REMARK *  IF THERE ISN'T A CONNECTION, WE'LL BRANCH TO
> REMARK *   THE LABEL "NOHOST"
> REMARK ***************************************************
> TIMEOUT 2
> ONERR NOHOST
> WAIT CARRIER

> REMARK ***************************************************
> REMARK *  WE HAVE A CONNECTION, REDIRECT THE ERROR LABEL
> REMARK *   TO CATCH ERRORS SENDING THE FILE
> REMARK ***************************************************
> ONERR SENDERR 

> REMARK ***************************************************
> REMARK *  FOR SOME HOSTS, IT MAY BE NECESSARY TO SLOW DOWN
> REMARK *   THE TRANSMIT SPEED ON THE INITIAL HANDSHAKING
> REMARK *  WE'RE TALKING TO A PC IN SOFTERM MONITOR MODE HERE
> REMARK ***************************************************
> SPEED 10

> REMARK ***************************************************
> REMARK *  SET THE TIMEOUT TO A REASONABLE VALUE FOR THE
> REMARK *   HANDSHAKING
> REMARK ***************************************************
> TIMEOUT 10 
 
> REMARK ***************************************************
> REMARK * DO THE INITIAL HANDSHAKING
> REMARK ***************************************************
> XMIT:WAIT  
	/XMIT=~C 
	/WAIT=READY 
> PAUSE 1 

> REMARK ***************************************************
> REMARK *  DELETE ANY OLD COPY OF THE FILE ON THE HOST
> REMARK ***************************************************
> XMIT:WAIT  
	/XMIT=DELETE %3%4%5~C 
	/WAIT=READY 
 
> REMARK ***************************************************
> REMARK *  RESET THE SPEED AND TIMEOUT VALUES TO GO FULL BORE
> REMARK ***************************************************
> SPEED 0 
> TIMEOUT 5 
 
> REMARK ***************************************************
> REMARK *  TRANSFER THE FILE
> REMARK ***************************************************
> SEND %1 
	/DESTINATION=%3%4%5 
	/SOFTRANS 

> REMARK ***************************************************
> REMARK *  TRANSFER WAS SUCCESSFUL, WE CAN DELETE THE LOCAL
> REMARK *   COPY OF THE FILE IF WE WANT, THEN WE'RE DONE
> REMARK ***************************************************
> DELETE %1
> END  
 
> REMARK ***************************************************
> REMARK *  NO CONNECTION WAS PRESENT, DIAL UP THE HOST
> REMARK *  RETRY THE DIAL 10 TIMES BEFORE GIVING UP
> REMARK ***************************************************
> LABEL NOHOST
> RETRIES 10
> ONERR GIVEUP
> DIAL MYHOST
> JUMP START
> LABEL GIVEUP
> END

> REMARK ***************************************************
> REMARK *  PROCESS ERRORS OCCURRING DURING THE TRANSFER
> REMARK ***************************************************
> LABEL SENDERR 

> REMARK ***************************************************
> REMARK *  CHECK FOR TIMEOUT (ERROR = 1)
> REMARK *         OR LINE FAILURE (ERROR = 2)
> REMARK *  IF IT'S ONE OF THOSE, RETRY THE OPERATION
> REMARK ***************************************************
> IF Error=1 
> JUMP START 
> ELSE  
> IF Error=2 
> JUMP START 

> REMARK ***************************************************
> REMARK *  WE HAVE AN OPERATOR ABORT, REMOTE ABORT OR DOS
> REMARK *   ERROR, TERMINATE THE COMMAND FILE
> REMARK ***************************************************
> ELSE  
> END  
