C********************************************************************
C  SOURCE MODULE: STLOG.F77
C********************************************************************
      SUBROUTINE LGOPN

C********************************************************************
C
C  OPEN THE LOG FILE
C
C********************************************************************

      INTEGER IOS,BACK,FTYPE,DTYPE,FTCNT
      INTEGER FLVAL(4,10),FXREF(4)
      LOGICAL ISAPL
      CHARACTER*9 FTYPX(4,10),DTYPX(4),FTEXT,DTEXT

      DATA FTCNT/4/
      DATA (FXREF(I),I=1,4)/0,1,2,8/
      DATA (FLVAL(1,I),I=1,10)/0,1,2,4,8,16,32,64,0,0/
      DATA (FLVAL(2,I),I=1,10)/3,5,0,1,2,4,6,7,8,3/
      DATA (FLVAL(3,I),I=1,10)/0,0,0,0,0,0,0,0,0,0/
      DATA (FLVAL(4,I),I=1,10)/0,0,0,0,0,0,0,0,0,0/
      DATA (FTYPX(1,I),I=1,10)/'TEXT     ',
     +                         'INTEGER  ',
     +                         'APPLESOFT',
     +                         'BINARY   ',
     +                         'S        ',
     +                         'R        ',
     +                         'NEW A    ',
     +                         'NEW B    ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  '/
      DATA (FTYPX(2,I),I=1,10)/'TEXT     ',
     +                         'DATA     ',
     +                         'VOLUME   ',
     +                         'BAD      ',
     +                         'CODE     ',
     +                         'INFO     ',
     +                         'GRAF     ',
     +                         'FOTO     ',
     +                         'SECURE   ',
     +                         'UNKNOWN  '/
      DATA (FTYPX(3,I),I=1,10)/'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  '/
      DATA (FTYPX(4,I),I=1,10)/'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  ',
     +                         'UNKNOWN  '/
      DATA (DTYPX(I),I=1,4)/'APPLE DOS',
     +                      'APPLE PAS',
     +                      'APPLE CPM',
     +                      'MS-DOS   '/

      CHARACTER*60 LININ,LINOT,LOGNM
 
      COMMON /FILES/LININ,LINOT,LOGNM

      INTEGER XSEQ,RSEQ,CRC0,CRC1
      INTEGER DEST,FLTYP,ADDR0,ADDR1
      INTEGER DSKTY,VOLUM,DRIVE,SLOT
      LOGICAL ERROR
      REAL CHARS,BLKS,ERRS
      CHARACTER*60 ERRTX
      CHARACTER*60 DATFL

      COMMON /CTRL2/XSEQ,RSEQ,CRC0,CRC1,CHARS,BLKS,ERRS
      COMMON /CTRL4/DSKTY,VOLUM,DRIVE,SLOT,DEST,FLTYP,ADDR0,ADDR1
      COMMON /CTRL5/DATFL
      COMMON /ERROR0/ERROR
      COMMON /ERROR1/ERRTX
C
C  OPEN THE LOG CHANNEL
C
      OPEN (UNIT=0,FILE=LOGNM,STATUS='UNKNOWN',ACCESS='APPEND',
     +      IOSTAT=IOS,ERR=100)
      RETURN
C
C  ERROR ON OPEN
C
100   WRITE (UNIT=ERRTX,FMT=110) IOS
110   FORMAT (' LOG ERROR = ',I6)
      ERROR = .TRUE.
      RETURN
      ENTRY LGCLS

C********************************************************************
C
C  CLOSE THE LOG FILE
C
C********************************************************************

      CLOSE (UNIT=0,IOSTAT=IOS,ERR=200)
200   RETURN
      ENTRY LGERR

C********************************************************************
C
C  LOG AN ERROR CONDITION
C
C********************************************************************

      CALL FMTER
      WRITE (UNIT=0,FMT=210,IOSTAT=IOS,ERR=220) ERRTX
210   FORMAT (1X,/,T5,'*** ERROR ***   ',A60)
220   RETURN
      ENTRY LGRCV

C********************************************************************
C
C  LOG THE RECEPTION OF A FILE
C
C********************************************************************

      ASSIGN 1000 TO BACK
      GOTO 5000
1000  WRITE (UNIT=0,FMT=1010,IOSTAT=IOS,ERR=100)
1010  FORMAT (1X,///,T34,'RECEIVE FILE')
      IF (DEST.EQ.PRINT) THEN
        WRITE (UNIT=0,FMT=1020,IOSTAT=IOS,ERR=100)
1020    FORMAT (T30,'DESTINATION = PRINT',/)
      ELSE
        WRITE (UNIT=0,FMT=1030,IOSTAT=IOS,ERR=100) DTEXT
1030  FORMAT (1X,T7,'DISK TYPE = ',A9)
        IF (ISAPL) WRITE (UNIT=0,FMT=1031,IOSTAT=IOS,ERR=100)
     +   VOLUM,DRIVE,SLOT
1031  FORMAT (1X,T7,T7,'VOLUME = ',I3,T37,'DRIVE = ',I1,
     +   T66,'SLOT = ',I1)
        WRITE (UNIT=0,FMT=1040,IOSTAT=IOS,ERR=100) DATFL,FTEXT
1040    FORMAT (T7,'FILENAME = ',A30,T52,'FILE TYPE = ',A9,/)
        END IF
      RETURN
      ENTRY LGXMT

C********************************************************************
C
C  LOG THE TRANSMIT OF A FILE
C
C
C********************************************************************

      ASSIGN 2000 TO BACK
      GOTO 5000
2000  WRITE (UNIT=0,FMT=2010,IOSTAT=IOS,ERR=100)
2010  FORMAT (1X,///,T33,'TRANSMIT FILE')
      WRITE (UNIT=0,FMT=1030,IOSTAT=IOS,ERR=100) DTEXT
      IF (ISAPL) WRITE (UNIT=0,FMT=1031,IOSTAT=IOS,ERR=100)
     + VOLUM,DRIVE,SLOT
      WRITE (UNIT=0,FMT=1040,IOSTAT=IOS,ERR=100) DATFL,FTEXT
      RETURN
      ENTRY LGCAT

C********************************************************************
C
C  LOG A CATALOG FUNCTION
C
C********************************************************************

      ASSIGN 3000 TO BACK
      GOTO 5000
3000  WRITE (UNIT=0,FMT=3010,IOSTAT=IOS,ERR=100)
3010  FORMAT (1X,///,T36,'CATALOG')
      WRITE (UNIT=0,FMT=1030,IOSTAT=IOS,ERR=100) DTEXT
      IF (ISAPL) WRITE (UNIT=0,FMT=1031,IOSTAT=IOS,ERR=100)
     + VOLUM,DRIVE,SLOT
      RETURN
      ENTRY LGEND

C********************************************************************
C
C  LOG THE END OF A FUNCTION
C
C********************************************************************

      WRITE (UNIT=0,FMT=4010,IOSTAT=IOS,ERR=100) CHARS,BLKS,ERRS
4010  FORMAT (T6,'CHARACTERS = ',F9.0,T31,'BLOCKS = ',F9.0,T56,
     +  'ERRORS = ',F9.0)
      RETURN
C
C  FIND FILE TYPE INDEX
C
5000  FTEXT = 'UNKNOWN  '
      DTEXT = 'UNKNOWN  '
      ISAPL = .FALSE.
      DTYPE = 0
      DO 5010 I = 1,FTCNT
      IF (DSKTY.EQ.FXREF(I)) DTYPE = I
5010  CONTINUE
      IF (DTYPE.EQ.0) GOTO BACK
      IF (DTYPE.LT.4) ISAPL = .TRUE.
      DTEXT = DTYPX (DTYPE)
      FTYPE = 0
      DO 5020 I = 1,10
      IF (FLTYP.EQ.FLVAL(DTYPE,I)) FTYPE = I
5020  CONTINUE
      IF (FTYPE.EQ.0) GOTO BACK
      FTEXT = FTYPX (DTYPE,FTYPE)
      GOTO BACK
      END
C********************************************************************
C  END OF STLOG.F77
C********************************************************************

